APIBackup management

Create server backup

Initiates the backup process for a server

Initiates the backup process for a server

POST
/api/client/servers/{server}/backups

Authorization

bearerAuth
AuthorizationBearer <token>

Enter your API token in the format: Bearer {token}

In: header

Path Parameters

server*string

Server identifier

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/client/servers/string/backups" \  -H "Content-Type: application/json" \  -d '{}'
{
  "object": "backup",
  "attributes": {
    "uuid": "string",
    "name": "string",
    "ignored_files": [
      "string"
    ],
    "sha256_hash": "string",
    "bytes": 0,
    "created_at": "2019-08-24T14:15:22Z",
    "completed_at": "2019-08-24T14:15:22Z",
    "is_successful": true,
    "is_locked": true
  }
}
Empty
Empty
Empty
Empty